Subject: Re: GCC problems

From: Spider plant breeding program <[email-masked]>
Date: 14 Jan 1998 17:10:25 +0000

[email-masked] (Matthew Wilcox) writes:

> Stuart Thomson ([email-masked]) wrote:
> : I've just downloaded GNU/GCC, and have tried to compile the Hello World
> : program.  However, the compiler gives an error as follows:
> 
> [...]
> :  ld /tmp/cc0001731.o -lgcc -LGCC: -LUnix: -lUnixLib -lgcc
> : ld fatal error : ld returned 33 exit status
> : gcc: Fatal compiler error: program ld
> 
> I can tell you what's wrong.  I don't know how to fix it, and I've read
> the RISC OS GCC FAQ.  The compiler is passing `-lgcc' to the linker, but
> drlink prefers `-l gcc'.  I worked around this by using gcc -c to compile
> the .o file then issuing the link step myself.

Is it the problem fixed in Nick's patch at

http://www.btinternet.com/~nick.burrett/

?

Nick

PS That URL is the answer to a FAQ. :-)
-- 
#!perl -wlpi[finger.liv.ac.uk]  # If it doesn't work see doio.c line ~256
BEGIN{$_="use SocketYIN;sockeXPZSOCK_STREAM,~proto'tcp'and\$|=connecXpack'S
na4x8',AZ79,\$;=~host qq$^Ior die\$!;print'/w nickc\r'YOUT;print\$^I";s/X/t
STDIN,/g;s/Y/;select STD/g;s/Z/F_INET,/g;s/~(\w*)/get$1byname/g;eval||die}